#modname "Improved Casting AI v1.00"
#description "A mod to improve offscript casting AI especially in assassinations. Disables offscript casting of most buffs. Some very good buffs are only deprioritized. Deprioritizes other bad spells that the AI casts in vanilla. Prioritizes good spells for the AI to cast."
#icon "ImprovedCastingAIBanner.tga"
#version 1.00

----- Catagory: Annoying Spells: Remove
#selectspell "Blink"
#ainocast 1
#end

----- Catagory: Annoying Spells: Limit Level and reduce priority
-- Fire
#selectspell "Fire Flies"
#aispellmod -95 -- Didn't do badlvl because fire mages might run into fight
#end

#selectspell "Blindness"
#aispellmod -60 -- Ok but pretty bad compared to other fire magic
#end

#selectspell "Fire Darts"
#aispellmod -50
#end

#selectspell "Conflagration"
#aispellmod -50
#end

#selectspell "Rage"
#aispellmod -90
#end

-- Air

#selectspell "Steal Breath"
#aispellmod -90
#end

#selectspell "Confusion"
#aispellmod -50
#end

#selectspell "Break the Third Soul"
#aispellmod -95
#end

#selectspell "Gift Of Flight"
#aispellmod -90
--#range 2 -- So that you can actually use the targetting
#end

-- Water
#selectspell "Encase in Ice"
#aispellmod -50
#end

#selectspell "Slow"
#aispellmod -80
#end

#selectspell "Crawl"
#ainocast 1
#end

-- Earth
#selectspell "Flying Shards"
#aispellmod -95
#end

#selectspell "Break the Second Soul"
#aispellmod -95
#end

#selectspell "Blade Wind" -- Situationally useful, but often less useful than other stuff
#aispellmod -20
#end

-- Astral
#selectspell "Horror Mark" -- Better to kill stuff most the time
#aispellmod -50
#end

-- Death
#selectspell "Frighten"
#aibadlvl 3
#aispellmod -95 -- Single target fear is pretty bad
#end

#selectspell "Decay"
#aibadlvl 3 -- Mostly eclipsed by HoS
#aispellmod -80 -- Still situationally useful vs SCs might need to inc
#end

#selectspell "Terror"
#aispellmod -90
#end

#selectspell "Raise Dead"
#aispellmod -60 -- HoS is often better.
#end

#selectspell "Break the Fourth Soul"
#aispellmod -95
#end

-- Nature
#selectspell "Panic"
#ainocast 1
#end

#selectspell "Breath of the Dragon"
#aispellmod -30
#end

#selectspell "Fascination"
#aibadlvl 3
#aispellmod -50
#end

#selectspell "Poison Touch"
#aispellmod -90
#aibadlvl 2
#end

#selectspell "Tune of Fear"
#aispellmod -99.99
#aibadlvl 2
#end

#selectspell "Tune of Growth"
#aispellmod -99.99
#aibadlvl 2
#end

#selectspell "Tune of Dancing Death"
#aispellmod -99
#aibadlvl 2
#end

#selectspell "Shrink"
#aispellmod -95
#end

------ Catagory: Best Spells -----------------------------
-- Fire
#selectspell "Incinerate"
#aispellmod 40
#end

#selectspell "Fireball"
#aispellmod 10
#end

#selectspell "Pillar Of Fire"
#aispellmod 30
#end

#selectspell "Holy Pyre" -- Didnt want to inadvertently deprioritize
#aispellmod 20
#end

#selectspell "Sulphur Haze"
#aispellmod 20
#end

#selectspell "Astral Fires"
#aispellmod 40
#end

-- Air
#selectspell "Thunder Strike"
#aispellmod 40
#end

#selectspell "Shock Wave"
#aispellmod 40
#end

#selectspell "Orb Lightning"
#aispellmod 20
#end

#selectspell "Lightning Bolt"
#aispellmod 10
#end

-- Water
#selectspell "Frozen Heart"
#aispellmod 30
#end

#selectspell "Liquify"
#aispellmod 40
#end

#selectspell "Freezing Mist"
#aispellmod 40
#end

#selectspell "Falling Frost"
#aispellmod 20
#end

-- Earth
#selectspell "Fists Of Iron" -- Situational Useful if in close combat - scales well
#aispellmod 50
#end

#selectspell "Farstrike"
#aispellmod 40
#end

#selectspell "Earth Meld"
#aispellmod 40
#end

#selectspell "Gifts from Heaven"
#aispellmod 30
#end

#selectspell "Petrify"
#aispellmod 70
#end

#selectspell "Sow Dragon Teeth"
#aispellmod 200
#end

#selectspell "Shatter"
#aispellmod 50
#end

-- Astral
#selectspell "Enslave Mind"
#aispellmod 120
#end

#selectspell "Soul Slay"
#aispellmod 100
#end

#selectspell "Paralyze"
#aispellmod 30
#end

#selectspell "Mind Burn"
#aispellmod 10
#end

#selectspell "Nether Darts"
#aispellmod 40
#end

#selectspell "Opposition"
#aispellmod 50
#end

-- Death
#selectspell "Hand of Death" -- situational, but tons of damage when close
#aispellmod 70
#end

#selectspell "Drain Life"
#aispellmod 50
#end

#selectspell "Cloud of Death"
#aispellmod 50
#end

#selectspell "Vortex of Unlife"
#aispellmod 50
#end

#selectspell "Bane Fire"
#aispellmod 100
#end

#selectspell "Disintegrate"
#aispellmod 30
#end

#selectspell "Dust to Dust"
#aispellmod 30
#end

#selectspell "Wither Bones"
#aispellmod 40
#end

#selectspell "Control the Dead"
#aispellmod 30
#end

#selectspell "Call Ancestor"
#aispellmod 150
#end

-- Nature

#selectspell "Poison Cloud" -- AI Hates casting this spell offscript
#aispellmod 200
#end

#selectspell "Charm Animal"
#aispellmod 40
#end

#selectspell "Charm"
#aispellmod 40
#end

#selectspell "Storm of Thorns"
#aispellmod 10
#end

-- Glamour
#selectspell "Slumber" -- AI Hates casting this spell offscript - need to max priority to have a shot
#aispellmod 300
#end

#selectspell "Sandman's Blessing" -- AI Hates casting this spell offscript - need to max priority to have a shot
#aispellmod 300
#end

-- Blood
#selectspell "Leeching Touch"
#aispellmod 70
#end

#selectspell "Leech"
#aispellmod 70
#end

#selectspell "Life for a Life"
#aispellmod 70
#end

#selectspell "Break the First Soul"
#aispellmod 50
#end

#selectspell "Reinvigoration"
#aispellmod 900
#end

------ Catagory: Self Buffs ------------------------------
#selectspell "Communion Slave"
#ainocast 1
#end

#selectspell "Flying Shield"
#ainocast 1
#end

#selectspell "Communion Master"
#ainocast 1
#end

#selectspell "Phoenix Pyre"
#ainocast 1
#end

#selectspell "Personal Ironskin"
#ainocast 1
#end

#selectspell "Personal Stoneskin"
#ainocast 1
#end

#selectspell "Personal Barkskin"
#ainocast 1
#end

#selectspell "Invulnerability"
#ainocast 1
#end

#selectspell "Breath of Winter"
#ainocast 1
#end

#selectspell "Soul Vortex"
#ainocast 1
#end

#selectspell "Charge Body"
#ainocast 1
#end

#selectspell "Personal Luck"
#ainocast 1
#end

#selectspell "Eagle Eyes"
#ainocast 1
#end

#selectspell "Air Shield"
#ainocast 1
#end

#selectspell "Personal Regeneration"
#ainocast 1
#end

#selectspell "Pain Transfer"
#ainocast 1
#end

#selectspell "Elemental Fortitude"
#ainocast 1
#end

#selectspell "Quicken self"
#ainocast 1
#end

#selectspell "Holy Avenger"
#ainocast 1
#end

#selectspell "Resist Magic"
#ainocast 1
#end

#selectspell "Water Shield"
#ainocast 1
#end

#selectspell "Summon Earthpower"
#ainocast 1
#end

#selectspell "Summon Storm Power"
#ainocast 1
#casttime 110 -- Set to 110 so storm power goes off reliably
#end

#selectspell "Fire Shield"
#ainocast 1
#end

#selectspell "Personal Mistform"
#ainocast 1
#end

#selectspell "Phoenix Power"
#ainocast 1
#end

#selectspell "Summon Water Power"
#ainocast 1
#end

#selectspell "Mirror Image"
#ainocast 1
#end

#selectspell "Astral Shield"
#ainocast 1
#end

#selectspell "Resist Fire"
#ainocast 1
#end

#selectspell "Resist Lightning"
#ainocast 1
#end

#selectspell "Protection from Poison"
#ainocast 1
#end

#selectspell "Proud Steed"
#ainocast 1
#end

#selectspell "Cold Resistance"
#ainocast 1
#end

#selectspell "Resist Cold"
#ainocast 1
#end

#selectspell "Protection from Cold"
#ainocast 1
#end

#selectspell "Protection from Fire"
#ainocast 1
#end

#selectspell "Personal Poison Resistance"
#ainocast 1
#end

#selectspell "Protection from Lightning"
#ainocast 1
#end

#selectspell "Twist Fate"
#ainocast 1
#end

#selectspell "Personal Flight"
#ainocast 1
#end

#selectspell "Liquid Body"
#ainocast 1
#end

#selectspell "Temper Flesh"
#ainocast 1
#end

#selectspell "Stygian Skin"
#ainocast 1
#end

#selectspell "Ice Shield"
#ainocast 1
#end

#selectspell "Trueshot"
#ainocast 1
#end

#selectspell "Skeletal Body"
#ainocast 1
#end

#selectspell "Power of the Spheres"
#ainocast 1
#end

#selectspell "Hell Power"
#ainocast 1
#end

#selectspell "Gift of the First Soul"
#aispellmod -95
#end

#selectspell "Gift of the Second Soul"
#ainocast 1
#end

#selectspell "Gift of the Third Soul"
#ainocast 1
#end

#selectspell "Gift of the Fourth Soul"
#aispellmod -95
#end

#selectspell "Levitate"
#ainocast 1
#end

#selectspell "Shroud of Flying Shards"
#ainocast 1
#end

#selectspell "Second Sight"
#ainocast 1
#end

#selectspell "Horrible Visage"
#ainocast 1
#end

#selectspell "Blurred Body"
#ainocast 1
#end

#selectspell "Displace Body"
#ainocast 1
#end

#selectspell "Invisibility"
#aispellmod -50
#end

#selectspell "Dance of Ephemeral Swords"
#ainocast 1
#end

#selectspell "Shroud of Splendor"
#ainocast 1
#end

#selectspell "True Sight"
#ainocast 1
#end

#selectspell "Shroud of Bewilderment"
#ainocast 1
#end
------ Catagory: Ranged Single Target / AOE 1 Buffs ------------------------------------------------------------------------------------------------
#selectspell "Haste"
#ainocast 1
#end

#selectspell "Stoneskin"
#ainocast 1
#end

#selectspell "Blur"
#aispellmod -90
#end

#selectspell "Gift of Displacement"
#aispellmod -90
#end

#selectspell "Rhapsody Of Life" -- Other better healing spells, this isnt aoe
#aispellmod -90
#end

#selectspell "Body Ethereal"
#aispellmod -97
#aibadlvl 3
#end

#selectspell "Barkskin"
#aispellmod -97
#end

#selectspell "Regeneration"
#aispellmod -97
#end

#selectspell "Ironskin"
#ainocast 1
#end

#selectspell "Gift of Cat Eyes"
#ainocast 1
#end

#selectspell "Mistform"
#ainocast -96
#end

#selectspell "Fire Resistance"
#ainocast 1
#end

#selectspell "Gift of the Hare"
#ainocast 1
#end

#selectspell "Envenom Arrows"
#ainocast 1
#end

#selectspell "Gift of the Serpent"
#ainocast 1
#end

#selectspell "Iron Will"
#ainocast 1
#end

#selectspell "Mossbody"
#aispellmod -95
#end

#selectspell "Windrunner"
#ainocast 1
#end

#selectspell "Farflight"
#aispellmod -99
#end

#selectspell "Luck"
#aispellmod -96
#aibadlvl 3
#end

#selectspell "Gift of Cheated Fate"
#aispellmod -97
#end

#selectspell "Enlarge"
#ainocast 1
#end

#selectspell "Quickness"
#aispellmod -96
#end

#selectspell "Gift of Formlessness"
#aispellmod -96
#end

#selectspell "Iron Warriors"
#aispellmod -96
#end

#selectspell "Touch of Madness"
#aispellmod -97
#end

#selectspell "Gift of the Moon"
#ainocast 1
#end

#selectspell "Ignite Arrows"
#aispellmod -30
#end

#selectspell "Lesser Flame Ward"
#ainocast 1
#end

#selectspell "Battle Fury"
#aispellmod -97
#end

#selectspell "Lesser Winter Ward"
#ainocast 1
#end

#selectspell "Lightning Resistance"
#ainocast 1
#end

#selectspell "Strength of Giants"
#aispellmod -95
#end

#selectspell "Earth Shatter Hammers"
#aispellmod -95
#end

#selectspell "Weapons of Sharpness" -- very high fatigue, probably want to mostly cast it when the player wants to
#aispellmod -80
#end

#selectspell "Gift of Spirit Sight"
#ainocast 1
#end

#selectspell "Mind Blank"
#ainocast 1
#end

#selectspell "Mirror Mind"
#ainocast 1
#end

#selectspell "Beast Fury"
#aispellmod -95
#end

#selectspell "Gift of True Sight"
#ainocast 1
#end

#selectspell "Gift of Splendor"
#ainocast 1
#end

------ Catagory: Ranged AOE Buffs ------------------------------------------------------------------------------
#selectspell "Poison Ward"
#ainocast 1
#end

#selectspell "Winter Ward"
#ainocast 1
#end

#selectspell "Lesser Thunder Ward"
#ainocast 1
#end

#selectspell "Levitate Soldiers"
#ainocast 1
#end

#selectspell "Farflight Arrows"
#ainocast 1
#end

#selectspell "Trueshot Warriors"
#ainocast 1
#end

#selectspell "Thunder Ward"
#ainocast 1
#end

#selectspell "Fire Resistant Warriors"
#ainocast 1
#end

#selectspell "Flame Ward"
#ainocast 1
#end

#selectspell "Quickening"
#ainocast 1
#end

#selectspell "Marble Warriors"
#ainocast 1
#end

#selectspell "Wave Warriors"
#ainocast 1
#end

#selectspell "Rage of the Cornered Rat"
#ainocast 1
#end

#selectspell "Cold Resistant Warriors"
#ainocast 1
#end

#selectspell "Furious Warriors"
#aispellmod -80
#end

#selectspell "Gift of the Furies"
#ainocast 1
#end

#selectspell "Flaming Arrows"
#ainocast 1
#end

#selectspell "Arrow Ward"
#ainocast 1
#end

#selectspell "Fog Warriors"
#ainocast 1
#end

#selectspell "Mass Flight"
#ainocast 1
#end

#selectspell "Water Ward"
#ainocast 1
#end

#selectspell "Lightning Resistant Warriors"
#ainocast 1
#end

#selectspell "Group Ironskin"
#aispellmod -95
#end

#selectspell "Group Stoneskin"
#aispellmod -95
#end

#selectspell "Temper Armors"
#aispellmod -80
#end

#selectspell "Soldiers of Steel"
#aispellmod -80
#end

#selectspell "Gift Of Giant Strength"
#aispellmod -95
#end

#selectspell "Giant Strength Warriors"
#aispellmod -95
#end

#selectspell "Earthquake Warriors"
#ainocast 1
#end

#selectspell "Steel Slice Warriors"
#ainocast 1
#end

#selectspell "Rewrite Fate"
#ainocast 1
#end

#selectspell "Spell Ward"
#ainocast 1
#end

#selectspell "Nightmare Masks"
#ainocast 1
#end

#selectspell "Group Barkskin"
#aispellmod -95
#end

#selectspell "Cat-eyed Warriors"
#ainocast 1
#end

#selectspell "Wooden Warriors"
#ainocast 1
#end

#selectspell "Giant Warriors"
#ainocast 1
#end

#selectspell "Immaculate Mounts"
#ainocast 1
#end

#selectspell "Serpent Fang Arrows"
#ainocast 1
#end

#selectspell "Group Regeneration"
#aispellmod -95
#end

#selectspell "Hail of Serpent Fangs"
#ainocast 1
#end

#selectspell "Ferocity"
#aispellmod -95
#end

#selectspell "Pack Ferocity"
#ainocast 1
#end

#selectspell "Group Blur"
#aispellmod -95
#end

#selectspell "Shadow Warriors"
#ainocast 1
#end

#selectspell "Army of Shades"
#ainocast 1
#end

#selectspell "Displaced Warriors"
#ainocast 1
#end

#selectspell "Fay-eyed Warriors"
#ainocast 1
#end

#selectspell "Aura of Splendor"
#ainocast 1
#end

#selectspell "Aura of Bewilderment"
#ainocast 1
#end

#selectspell "Nightmare Masks"
#ainocast 1
#end

#selectspell "Warriors of the Dawn"
#ainocast 1
#end

#selectspell "Group Luck"
#aispellmod -95
#end

------ Catagory: Battlefield Buffs ------------------------------------------------------------
#selectspell "Army of Giants"
#ainocast 1
#end

#selectspell "Twilight"
#ainocast 1
#end

#selectspell "Nightfall"
#ainocast 1
#end

#selectspell "Life after Death"
#ainocast 1
#end

#selectspell "Army of Gold"
#ainocast 1
#end

#selectspell "Army of Lead"
#ainocast 1
#end

#selectspell "Solar Eclipse"
#ainocast 1
#end

#selectspell "Iron Bane"
#ainocast 1
#end

#selectspell "Darkness"
#ainocast 1
#end

#selectspell "Oaken Army"
#ainocast 1
#end

#selectspell "Flameflesh Army"
#ainocast 1
#end

#selectspell "Frostflesh Army"
#ainocast 1
#end

#selectspell "Ground Army"
#ainocast 1
#end

#selectspell "Antimagic"
#ainocast 1
#end

#selectspell "Battle Fortune"
#ainocast 1
#end

#selectspell "Will of the Fates"
#ainocast 1
#end

#selectspell "Doom"
#ainocast 1
#end

#selectspell "Curse of Stones"
#ainocast 1
#end

#selectspell "Army of Mist"
#ainocast 1
#end

#selectspell "Thunder Fend"
#ainocast 1
#end

#selectspell "Fire Fend"
#ainocast 1
#end

#selectspell "Frost Fend"
#ainocast 1
#end

#selectspell "Arrow Fend"
#ainocast 1
#end

#selectspell "Heat from Hell"
#ainocast 1
#end

#selectspell "Grip of Winter"
#ainocast 1
#end

#selectspell "Soaring Army"
#ainocast 1
#end

#selectspell "Quagmire"
#ainocast 1
#end

#selectspell "Friendly Currents"
#ainocast 1
#end

#selectspell "Rigor Mortis"
#ainocast 1
#end

#selectspell "Army Regeneration"
#ainocast 1
#end

#selectspell "Relief"
#ainocast 1
#end

#selectspell "Blood Lust"
#ainocast 1
#end

#selectspell "Rush of Strength"
#ainocast 1
#end

#selectspell "Growing Fury"
#ainocast 1
#end

#selectspell "Serpent's Blessing"
#ainocast 1
#end

#selectspell "Hail of Burning Embers"
#ainocast 1
#end

#selectspell "Greater Farflight"
#ainocast 1
#end

#selectspell "Demon Cleansing"
#ainocast 1
#end

#selectspell "End of Weakness"
#ainocast 1
#end

#selectspell "Tempering the Will"
#aispellmod -98
#end

#selectspell "Marble Army"
#ainocast 1
#end

#selectspell "Army of Bronze"
#ainocast 1
#end

#selectspell "Legions of Steel" -- Allow the AI to cast but reduced priority
#ainocast 1
#end

#selectspell "Earth Shatter Army"
#ainocast 1
#end

#selectspell "Gaia's Blessing"
#ainocast 1
#end

#selectspell "Army of Giants"
#ainocast 1
#end

#selectspell "Fury of the Wild"
#ainocast 1
#end

#selectspell "Dreamwild Legion"
#ainocast 1
#end

-- ------ Catagory: Battlefield Whipes ------------------------------------------------------------

#selectspell "Earthquake"
#ainocast 1
#end

#selectspell "Foul Vapors"
#ainocast 1
#end

#selectspell "Fire Storm"
#ainocast 1
#end

#selectspell "Wrathful Skies"
#ainocast 1
#end

#selectspell "Astral Tempest"
#ainocast 1
#end

#selectspell "Rain of Stones"
#ainocast 1
#end

#selectspell "Acid Storm"
#ainocast 1
#end

#selectspell "Bone Grinding"
#ainocast 1
#end

#selectspell "Bloodletting"
#ainocast 1
#end

#selectspell "Meteor Shower"
#ainocast 1
#end

#selectspell "Blizzard"
#ainocast 1
#end

#selectspell "Army of Rats"
#ainocast 1
#end

------ Catagory: Holy Spells Prioritize--------------------------------------------------------------
#selectspell "Claim Life"
#aispellmod 100
#end

#selectspell "Heavenly Fire"
#aispellmod 80
#end

#selectspell "Heavenly Strike"
#aispellmod 80
#end

#selectspell "Syllable of Death"
#aispellmod 80
#end

#selectspell "Watery Death"
#aispellmod 60
#end

#selectspell "Word of Power"
#aispellmod 100
#end

#selectspell "Word of Stone"
#aispellmod 20
#end

#selectspell "Word of Thorns"
#aispellmod 60
#end

#selectspell "Word of Bewilderment"
#aispellmod 60
#end

------ Catagory: Holy Spells Deprioritize------------------------------------------------------------
#selectspell "Sermon Of Courage"
#aispellmod -90
#end

#selectspell 283 -- "Unholy Protection"
#aispellmod -99
#end

#selectspell 286 -- "Unholy Protection"
#aispellmod -99
#end

#selectspell 314 -- "Unholy Protection"
#aispellmod -99
#end

#selectspell 318 -- "Unholy Protection"
#aispellmod -99
#end

#selectspell 328 -- "Protection of the Grave"
#aispellmod -99
#end

#selectspell 330 -- "Protection of the Grave"
#aispellmod -99
#end

#selectspell "Protection of the Sepulchre"
#aispellmod -99
#end

#selectspell "Protection of the Sepulchre"
#aispellmod -99
#end

#selectspell "Carrion Growth"
#aispellmod -99
#end

#selectspell "Puppet Mastery"
#aispellmod -99
#end

#selectspell "Quick Roots"
#aispellmod -99
#end

#selectspell "Regrowth"
#aispellmod -99
#end

#selectspell "Royal Protection"
#aispellmod -99
#end

#selectspell "Anathema"
#aispellmod -99
#end

-- Obligatory Ended Lines

--
